package com.jeeplus.modules.sg.managementcenter.project.entity;

/**
 * 导出erp实体类
 * */
public class ImportErp {
    //公司代码
    private String companyCode;
    //利润中心
    private String profitCenter;
    //过账日期
    private String postingDate;
    //凭证编码
    private String voucherCode;
    //归档凭证类型
    private String archiveType;
    //归档凭证编码
    private String archiveCode;
    //凭证抬头文本
    private String headerText;
    //挂接WBS编码
    private String hangUpCode;
    //WBS编码
    private String code;
    //WBS描述
    private String description;
    //项目定义编码
    private String projectId;
    //项目定义描述
    private String projectDescription;
    //科目代码
    private String accountCode;
    //科目名称
    private String accountName;
    //借贷方向
    private String lendingDirection;
    //行项目金额
    private String LineAmount;
    //数量
    private String number;
    //批次
    private String batch;
    //物料编码
    private String itemCode;
    //物料描述
    private String itemDescription;
    //单位
    private String company;
    //进项税额
    private String amountOfTaxes;
    //转出进项税额
    private String inputTax;
    //转出凭证号码
    private String voucherNo;
    //转出凭证过账日期
    private String postingDateOut;
    //供应商
    private String supplier;
    //供应商名称
    private String supplierName;

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getProfitCenter() {
        return profitCenter;
    }

    public void setProfitCenter(String profitCenter) {
        this.profitCenter = profitCenter;
    }

    public String getPostingDate() {
        return postingDate;
    }

    public void setPostingDate(String postingDate) {
        this.postingDate = postingDate;
    }

    public String getVoucherCode() {
        return voucherCode;
    }

    public void setVoucherCode(String voucherCode) {
        this.voucherCode = voucherCode;
    }

    public String getArchiveType() {
        return archiveType;
    }

    public void setArchiveType(String archiveType) {
        this.archiveType = archiveType;
    }

    public String getArchiveCode() {
        return archiveCode;
    }

    public void setArchiveCode(String archiveCode) {
        this.archiveCode = archiveCode;
    }

    public String getHeaderText() {
        return headerText;
    }

    public void setHeaderText(String headerText) {
        this.headerText = headerText;
    }

    public String getHangUpCode() {
        return hangUpCode;
    }

    public void setHangUpCode(String hangUpCode) {
        this.hangUpCode = hangUpCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    public String getAccountCode() {
        return accountCode;
    }

    public void setAccountCode(String accountCode) {
        this.accountCode = accountCode;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getLendingDirection() {
        return lendingDirection;
    }

    public void setLendingDirection(String lendingDirection) {
        this.lendingDirection = lendingDirection;
    }

    public String getLineAmount() {
        return LineAmount;
    }

    public void setLineAmount(String lineAmount) {
        LineAmount = lineAmount;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getAmountOfTaxes() {
        return amountOfTaxes;
    }

    public void setAmountOfTaxes(String amountOfTaxes) {
        this.amountOfTaxes = amountOfTaxes;
    }

    public String getInputTax() {
        return inputTax;
    }

    public void setInputTax(String inputTax) {
        this.inputTax = inputTax;
    }

    public String getVoucherNo() {
        return voucherNo;
    }

    public void setVoucherNo(String voucherNo) {
        this.voucherNo = voucherNo;
    }

    public String getPostingDateOut() {
        return postingDateOut;
    }

    public void setPostingDateOut(String postingDateOut) {
        this.postingDateOut = postingDateOut;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
